## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Class ProxyTableExternalType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.ProxyTableExternalType

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public final class ProxyTableExternalType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Proxy Table External Type', and utility methods for working with them.

See Also:
  `SybaseasesqlmodelPackage.getProxyTableExternalType()`, Serialized Form

Field Summary
`static int` `DIRECTORY` The 'DIRECTORY' literal value.
`static ProxyTableExternalType` `DIRECTORY_LITERAL` The 'DIRECTORY' literal object.
`static int` `FILE` The 'FILE' literal value.
`static ProxyTableExternalType` `FILE_LITERAL` The 'FILE' literal object.
`static int` `PROCEDURE` The 'PROCEDURE' literal value.
`static ProxyTableExternalType` `PROCEDURE_LITERAL` The 'PROCEDURE' literal object.
`static int` `TABLE` The 'TABLE' literal value.
`static ProxyTableExternalType` `TABLE_LITERAL` The 'TABLE' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Proxy Table External Type' enumerators.

Method Summary
`static ProxyTableExternalType` `get(int value)` Returns the 'Proxy Table External Type' literal with the specified integer value.
`static ProxyTableExternalType` `get(java.lang.String literal)` Returns the 'Proxy Table External Type' literal with the specified literal value.
`static ProxyTableExternalType` `getByName(java.lang.String name)` Returns the 'Proxy Table External Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TABLE

    public static final int TABLE

  The 'TABLE' literal value.

  If the meaning of 'TABLE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TABLE_LITERAL`, Constant Field Values

### PROCEDURE

    public static final int PROCEDURE

  The 'PROCEDURE' literal value.

  If the meaning of 'PROCEDURE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PROCEDURE_LITERAL`, Constant Field Values

### FILE

    public static final int FILE

  The 'FILE' literal value.

  If the meaning of 'FILE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FILE_LITERAL`, Constant Field Values

### DIRECTORY

    public static final int DIRECTORY

  The 'DIRECTORY' literal value.

  If the meaning of 'DIRECTORY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DIRECTORY_LITERAL`, Constant Field Values

### TABLE_LITERAL

    public static final ProxyTableExternalType TABLE_LITERAL

  The 'TABLE' literal object.

  See Also:
    `TABLE`

### PROCEDURE_LITERAL

    public static final ProxyTableExternalType PROCEDURE_LITERAL

  The 'PROCEDURE' literal object.

  See Also:
    `PROCEDURE`

### FILE_LITERAL

    public static final ProxyTableExternalType FILE_LITERAL

  The 'FILE' literal object.

  See Also:
    `FILE`

### DIRECTORY_LITERAL

    public static final ProxyTableExternalType DIRECTORY_LITERAL

  The 'DIRECTORY' literal object.

  See Also:
    `DIRECTORY`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Proxy Table External Type' enumerators.

Method Detail

### get

    public static ProxyTableExternalType get(java.lang.String literal)

  Returns the 'Proxy Table External Type' literal with the specified literal value.

### getByName

    public static ProxyTableExternalType getByName(java.lang.String name)

  Returns the 'Proxy Table External Type' literal with the specified name.

### get

    public static ProxyTableExternalType get(int value)

  Returns the 'Proxy Table External Type' literal with the specified integer value.